Page MenuHomePhabricator

Enable constraints suggestions for everyone and remove beta feature
Closed, ResolvedPublic3 Story Points

Description

Once the remaining issues with the beta feature are resolved, we want to enable it for everyone (including anonymous editors) and remove the beta feature.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove constraint-suggestions beta feature
mediawiki/extensions/WikibaseQualityConstraints : wmf/1.34.0-wmf.1Remove beta feature for constraint suggestions
mediawiki/extensions/WikibaseQualityConstraints : wmf/1.34.0-wmf.1Enable constraint suggestions for everyone
mediawiki/extensions/WikibaseQualityConstraints : masterRemove beta feature for constraint suggestions
mediawiki/extensions/WikibaseQualityConstraints : masterEnable constraint suggestions for everyone

Event Timeline

Change 503340 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Enable constraint suggestions for everyone

https://gerrit.wikimedia.org/r/503340

Change 503341 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove beta feature for constraint suggestions

https://gerrit.wikimedia.org/r/503341

Change 503342 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Remove constraint-suggestions beta feature

https://gerrit.wikimedia.org/r/503342

Just to mention that in my timeline, we wanted to enable the "suggestion" level before enabling constraints notifications for all users.

@Lea_Lacroix_WMDE this isn't about showing constraint violations to everyone but about showing suggestions for values based on "on-of constraint" etc.

Ooops, sorry - too many features with "constraint" and "suggestion" in the name :D

Change 505763 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.34.0-wmf.1] Enable constraint suggestions for everyone

https://gerrit.wikimedia.org/r/505763

Change 505764 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.34.0-wmf.1] Remove beta feature for constraint suggestions

https://gerrit.wikimedia.org/r/505764

Change 503340 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Enable constraint suggestions for everyone

https://gerrit.wikimedia.org/r/503340

Change 503341 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove beta feature for constraint suggestions

https://gerrit.wikimedia.org/r/503341

Change 505763 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.34.0-wmf.1] Enable constraint suggestions for everyone

https://gerrit.wikimedia.org/r/505763

Change 505764 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.34.0-wmf.1] Remove beta feature for constraint suggestions

https://gerrit.wikimedia.org/r/505764

Mentioned in SAL (#wikimedia-operations) [2019-04-25T11:43:07Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.34.0-wmf.1/extensions/WikibaseQualityConstraints: SWAT: [[gerrit:505763|Enable constraint suggestions for everyone (T220609)]] (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2019-04-25T11:46:36Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.34.0-wmf.1/extensions/WikibaseQualityConstraints: SWAT: [[gerrit:505764|Remove beta feature for constraint suggestions (T220609)]] (duration: 00m 56s)

Okay, let’s leave this task stalled until we can deploy the remaining change, but I think we can close the parent task.

Change 503342 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove constraint-suggestions beta feature

https://gerrit.wikimedia.org/r/503342

Mentioned in SAL (#wikimedia-operations) [2019-05-22T11:30:20Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:503342|Remove constraint-suggestions beta feature (T220609)]] (duration: 00m 57s)

Lucas_Werkmeister_WMDE closed this task as Resolved.May 22 2019, 11:42 AM
Lucas_Werkmeister_WMDE claimed this task.

I don’t think there’s anything left to verify here, let’s close it.